package com.cultural.heritage.model.dto.facelift;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.io.Serializable;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class LogoUrlObj implements Serializable {

    /**
     * 是否添加水印
     */
    private Boolean add_logo;

    /**
     * 水印位置
     */
    private Integer position;

    /**
     * 水印的语言
     */
    private Integer language;

    /**
     * 水印的内容
     */
    private String logo_text_content;

    @Serial
    private static final long serialVersionUID = 1L;
}
