package com.cultural.heritage.model.dto.facelift;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.io.Serializable;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class ModelObj implements Serializable {

    /**
     * 模特配置
     */
    private String id;

    /**
     * 模特URL
     */
    private String url;


    @Serial
    private static final long serialVersionUID = 4460640673274461809L;

}
