package com.cultural.heritage.model.vo.cartService;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class CartExperienceVOPlus {


    /**
     * 购物车记录id
     */
    private Long id;

    /**
     * 商品id
     */
    private Long goodId;

    /**
     * 数量
     */
    private Integer quantity;

    /**
     * 小计
     */
    private BigDecimal subtotal;

    /**
     * 预约日期
     */
    private String reservationDate;


    /**
     * 预约时间段
     */
    private String timeSlot;


    /**
     * 服务类购物车商品详情信息
     */
    private CartExperienceGoodVO cartExperienceGoodVO;


    /**
     * 剩余预约人数
     */
    private Integer restNumber;


}
