package com.cultural.heritage.model.vo.clothes;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class ClothesVO implements Serializable {

    /**
     * 编号
     */
    private Long id;

    /**
     * 服装名称
     */
    private String name;

    /**
     * 类别id
     */
    private Long categoryId;

    /**
     * 服装图片
     */
    private String image;

    /**
     * 价格/天
     */
    private BigDecimal price;

    /**
     * 最大租赁天数
     */
    private Integer period;

    /**
     * 富文本
     */
    private String richText;

    /**
     * 是否上架
     */
    private Integer isShelves;


    @Serial
    private static final long serialVersionUID = 1L;
}
