package com.cultural.heritage.model.vo.coupon;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
public class UserCouponVO implements Serializable {

    /**
     * id
     */
    private Long id;


    /**
     * 优惠券信息
     */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private CouponVO couponVO;


    /**
     * 是否使用过
     */
    private Integer isUsed;



    @Serial
    private static final long serialVersionUID = 1L;
}
