//package com.cultural.heritage.test;
//
//import com.cultural.heritage.model.dto.CommonRequest;
//import com.cultural.heritage.model.entity.Good;
//import com.cultural.heritage.service.good.GoodService;
//import jakarta.annotation.Resource;
//import org.springframework.data.redis.core.*;
//import org.springframework.web.bind.annotation.*;
//
//import java.util.List;
//import java.util.Set;
//
//@RestController
//public class GoodHandler {
//
//    @Resource
//    private RedisTemplate redisTemplate;
//
//
//    @Resource
//    private GoodService goodService;
//
//    @PostMapping("/set")
//    public void set(@RequestBody CommonRequest commonRequest) {
//        Long id = commonRequest.getId();
//        Good good = goodService.getById(id);
//        redisTemplate.opsForValue().set("good", good);
//    }
//
//    @GetMapping("/get/{key}")
//    public Good get(@PathVariable("key") String key) {
//        return (Good) redisTemplate.opsForValue().get(key);
//    }
//
//    @DeleteMapping("/delete/{key}")
//    public boolean delete(@PathVariable("key") String key) {
//        redisTemplate.delete(key);
//        return redisTemplate.hasKey(key);
//    }
//
//    @GetMapping("/string")
//    public String stringTest() {
//        redisTemplate.opsForValue().set("str", "Hello World!");
//        return (String) redisTemplate.opsForValue().get("str");
//    }
//
//    @GetMapping("/list")
//    public List<String> listTest() {
//        ListOperations<String, String> listOperations = redisTemplate.opsForList();
//        listOperations.leftPush("list", "hello");
//        listOperations.leftPush("list", "World");
//        listOperations.leftPush("list", "Java");
//        List<String> list = listOperations.range("list", 0, 2);
//        return list;
//    }
//
//
//    @GetMapping("/set")
//    public Set<String> setTest() {
//        SetOperations<String, String> setOperations = redisTemplate.opsForSet();
//        setOperations.add("set", "Hello");
//        setOperations.add("set", "Hello");
//        setOperations.add("set", "World");
//        setOperations.add("set", "World");
//        Set<String> set = setOperations.members("set");
//        return set;
//    }
//
//
//    @GetMapping("/zset")
//    public Set<String> zSetTest() {
//        ZSetOperations<String, String> zSetOperations = redisTemplate.opsForZSet();
//        zSetOperations.add("zset", "Hello", 1);
//        zSetOperations.add("zset", "World", 3);
//        zSetOperations.add("zset", "Hi", 2);
//        Set<String> zset = zSetOperations.range("zset", 0, 2);
//        return zset;
//    }
//
//    @GetMapping("/hash")
//    public String hashTest() {
//        HashOperations<String, String, String> hashOperations = redisTemplate.opsForHash();
//        hashOperations.put("key", "hashKey", "hello");
//        String value = hashOperations.get("key", "hashKey");
//        return value;
//    }
//
//
//}
