package com.cultural.heritage.model.dto.banner;

import com.cultural.heritage.common.PageRequest;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.io.Serializable;

@EqualsAndHashCode(callSuper = true)
@Data
@Schema(description = "轮播图查询请求体", requiredProperties = {"type"})
public class BannerQueryRequest extends PageRequest implements Serializable {


    /**
     * 类别
     */
    @Schema(description = "类别")
    private String type;


    @Serial
    private static final long serialVersionUID = 1L;
}
